#
# spec file for package perl-Time-HiRes (Version 01.20)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Time-HiRes
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Autoreqprov:  on
Summary:      Perl module Time::HiRes
Version:      01.20
Release:      83
Source:       Time-HiRes-%{version}.tar.gz
BuildRoot:    /var/tmp/%{name}-build

%description
High resolution time, sleep, and alarm for perl.

Authors:
--------
    D. Wegscheid <wegscd@whirlpool.com>
    R. Schertler <roderick@argon.org>
    J. Hietaniemi <jhi@iki.fi>
    G. Aas <gisle@aas.no>

SuSE series: perl

%prep
%setup -n Time-HiRes-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
mv $RPM_BUILD_ROOT/$installarchlib/perllocal.pod $RPM_BUILD_ROOT/var/adm/perl-modules/Time-HiRes
cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/Time/HiRes
cat .packlist | sed s:$RPM_BUILD_ROOT:: | sort -u > .packlist.n
mv .packlist.n .packlist
cd $RPM_BUILD_ROOT/var/adm/perl-modules/
cat Time-HiRes | sed s:$RPM_BUILD_ROOT:: > Time-HiRes.n
mv Time-HiRes.n Time-HiRes

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes TODO
%doc %{_mandir}/man3/*
/usr/lib/perl5/site_perl/5.*/*-linux/Time/
/usr/lib/perl5/site_perl/5.*/*-linux/auto/Time/HiRes/
/var/adm/perl-modules/Time-HiRes

%changelog -n perl-Time-HiRes
* Mon Apr 09 2001 - cihlar@suse.cz
- initial version 01.20
